Class | Spec::Example::ExampleMatcher
In: | lib/spec/example/example_matcher.rb
Parent: | Object

### Methods

example_group_regex example_group_regex_not_considering_modules example_group_with_before_all_regexp example_regexp matches? matches_example_not_considering_modules? matches_literal_example? new

### Public Class methods

new(example_group_description, example_name)

### Public Instance methods

matches?(specified_examples)

### Protected Instance methods

example_group_regex()
example_group_regex_not_considering_modules()
example_group_with_before_all_regexp()
example_regexp()
matches_example_not_considering_modules?(specified_example)
matches_literal_example?(specified_example)

[Validate]